﻿


init python:
    class calendar_class:
        def __init__(self):
            self.hour = 0
            self.day = 0
            self.week = [_("Monday"), _("Tuesday"), _("Wednesday"), _("Thursday"), _("Friday"), _("Saturday"), _("Sunday")]
            self.period = [_("Midnight"), _("Morning"), _("Afternoon"), _("Evening")]

        def tick(self, n = 1):
            for i in range(n):
                self.hour += 1
                if self.hour > 23:
                    self.hour = 0
                    self.day += 1

        def day_of_week(self, txt = False):
            d = self.day % 7
            if txt:
                return self.week[d]
            else:
                return d

        def time_of_day(self, txt = False):
            h = 0
            if 0 <= self.hour <= 5:
                h = 0
            if 6 <= self.hour <= 11:
                h = 1
            if 12 <= self.hour <= 17:
                h = 2
            if 18 <= self.hour <= 23:
                h = 3
            if txt:
                return self.period[h]
            else:
                return h

default calendar = calendar_class()

screen calendar_scr(c = calendar):
    zorder 1000
    frame:
        align 0.0,0.0
        hbox:
            button:
                background None
                text _("Day [c.day] {} ({})   {}:00").format(c.day_of_week(True), c.time_of_day(True), c.hour)
                action ToggleScreen("calendar_skip")
            text "Cash: [player.cash]"

init python:
    config.overlay_screens.append("calendar_scr")

screen calendar_skip:
    default hours = 1
    default skipping = False
    frame:
        vbox:
            hbox:
                text _("SKip")
                button:
                    text "<"
                    action If(hours > 1, SetScreenVariable("hours", hours-1))
                text "[hours]"
                button:
                    text ">"
                    action SetScreenVariable("hours", hours+1)
                text _("hours.")
            hbox:
                button:
                    text _("Skip")
                    action SetScreenVariable("skipping", True)
                button:
                    text _("Fast skip")
                    action Function(calendar.tick, hours)
                button:
                    text _("Close")
                    action Hide("calendar_skip")
    if skipping:
        text _("Skipping...")
        timer .5 repeat True action Function(calendar.tick), If(hours > 0,  SetScreenVariable("hours", hours-1), SetScreenVariable("skipping", False))






